.my-projects-section{
    font-family: 'MyJosefin';
    padding-top: 100px;
    width: 100%;
    display: flex;
    justify-content: center;
}

.my-projects-frame{
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 64px;
}

.my-projects-container{
    display: flex;
    justify-content: center;
}

.tab-navigation-box{
    padding-right: 16px;
    padding-left: 16px;
    height: 80px;
    display: flex;
    gap: 16px;
    max-width: 1990px;
    margin: 0 auto;
}

.tab-span-container{
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.tab-bg{
    border-top-left-radius: 30px;
    border-top-right-radius: 30px;
    background-color: #2d383f;
}

.tab-span{
    color: #89BCD9;
    font-size: 30px;
    font-weight: 500;
    padding-left: 24px;
    padding-right: 24px;
}

.tab-span:hover{
    cursor: pointer;
    color: #F8F5EC;
}

.project-content-frame{
    width: 100%;
    background-color: #2d383f;
    height: 548px;
}

.project-content-box{
    max-width: 1990px;
    margin: 0 auto;
    height: 100%;
}

.content-box{
    height: 100%;
    display: flex;
    justify-content: space-between;
    gap: 40px;
    padding-right: 32px;
}

.left-side{
    padding-top: 32px;
    padding-left: 32px;
    color: #F8F5EC;
}

.description-list{
    list-style: none;
    padding-left: 0;
    margin-block-start: 0;
    margin-block-end: 0;
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.description-list li{
    position: relative;
    padding-left: 50px;
}

.description-list li::before{
    content: "";
    position: absolute;
    left: 0;
    width: 29px;
    height: 26px;
    background-image: url("../assets/img/dot_projects.svg");
    background-size: contain;
    background-repeat: no-repeat;
}

.li-content{
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.caption-box{
    display: flex;
    align-items: center;
    gap: 16px;
}

.caption{
    font-size: 28px;
    font-weight: 400;
}

.project-duration{
    font-size: 18px;
    font-weight: 400;
}

.li-text{
    font-size: 18px;
    font-weight: 400;
}

.tec-box{
    color: #F8F5EC;
    height: calc(100% - 64px);
    padding-top: 32px;
    padding-bottom: 32px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
}

.tec-icon-box{
    display: flex;
    align-items: center;
    gap: 16px;
}

.project-image{
    width: 453px;
    height: 312px;
    border-radius: 30px;
    overflow: hidden;
    display: inline-block;
}

.project-image img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.tec-ctrl-box{
    width: 100%;
    display: flex;
    justify-content: space-evenly;
}

.live-test-btn{
    width: 130px;
    height: 45px;
    border-radius: 30px;
    background-color: #89BCD9;
    display: flex;
    justify-content: center;
    align-items: center;
}

.live-test-btn span{
    font-size: 18px;
    font-weight: 400;
    color: #262E34;
}

.live-test-btn:hover{
    cursor: pointer;
    background-color: #F8F5EC;
}

.github-btn{
    width: 130px;
    height: 45px;
    border: 1px solid #89BCD9;
    border-radius: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.github-btn span{
    font-size: 18px;
    font-weight: 400;
    color: #89BCD9;
}

.github-btn:hover{
    cursor: pointer;
    background-color: rgba(250, 250, 250, 0.1);
}

.tec-box-ongoing{
    color: #F8F5EC;
    height: calc(100% - 64px);
    padding-top: 32px;
    padding-bottom: 32px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 32px;
}

.ongoing-image-box{
    width: 453px;
    height: 312px;
    position: relative;
}

.ongoing-image{
    position: absolute;
    top: 0;
    z-index: 1;
}

.ongoing-text{
    font-size: 30px;
    font-weight: 500;
    color: #89BCD9;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 2;
}

.tab-navbox-mobile{
    font-size: 18px;
    font-weight: 400;
    color: #F8F5EC;
    display: flex;
}

.mobile-tab{
    padding: 12px;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
}

.mobile-tab-bg{
    background-color: #2D383F;
}

.mobile-tab-span{
    cursor: pointer;
}

.mobile-content-frame{
    display: none;
}

.mobile-project-content{
    padding: 24px 16px;
}

.head-content{
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 4px;
}

.head-span{
    font-size: 24px;
    font-weight: 400;
    color: #89BCD9;
    padding-bottom: 8px;
}

.tec-span{
    font-size: 14px;
    font-weight: 400;
    color: #F8F5EC;
}

.image-container{
    width: 100%;
    padding: 16px 0;
    display: flex;
    justify-content: center;
}

.project-list-content{
    list-style: none;
    padding-left: 0;
    margin-block-start: 0;
    margin-block-end: 0;
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.project-list-content li{
    position: relative;
    padding-left: 50px;
}

.project-list-content li::before{
    content: "";
    position: absolute;
    left: 0;
    width: 29px;
    height: 26px;
    background-image: url("../assets/img/dot_projects.svg");
    background-size: contain;
    background-repeat: no-repeat;
}

.mobile-caption-box{
    padding-top: 6px;
}

.mobile-caption{
    font-size: 18px;
    font-weight: 400;
    color: #89BCD9;
}

.mobile-li-text{
    font-size: 16px;
    font-weight: 400;
    color: #F8F5EC;
    padding-bottom: 32px;
}

.mobile-project-content{
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.projects-mobile-container{
    display: none;
}

.live-test-btn-mobile{
    cursor: pointer;
    padding: 13px 30px;
    border-radius: 30px;
    background-color: #89BCD9;
}

.live-test-btn-mobile:active{
    background-color: #F8F5EC;
}

.live-test-span-mobile{
    font-size: 14px;
    font-weight: 400;
    color: #262E34;
}

.github-btn-mobile{
    cursor: pointer;
    padding: 13px 30px;
    border: 1px solid #89BCD9;
    border-radius: 30px;
}

.github-btn-mobile:active{
    background-color: rgba(250, 250, 250, 0.1);
}

.github-span-mobile{
    font-size: 14px;
    font-weight: 400;
    color: #89BCD9;
}

.mobile-project-ctrl-container{
    display: flex;
    justify-content: center;
    gap: 32px;
}

.mobile-image-border{
    border-radius: 30px;
    width: 269px;
    height: 167px;
    overflow: hidden;
    display: inline-block;
}

.mobile-image-border-ongoing{
    border-radius: 30px;
    width: 269px;
    height: 167px;
    overflow: hidden;
    display: inline-block;
    position: relative;
}

.mobile-image-border-ongoing span{
    font-size: 18px;
    font-weight: 500;
    color: #89BCD9;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 2;
}

.image-container img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

@media(max-width:1150px){
    .project-content-frame{
        height: 600px;
    }

    .caption{
        font-size: 24px;
    }
}

@media(max-width:1000px){
    .my-projects-section{
        padding-top: 64px;
    }

    .projects-content-container{
        display: none;
    }

    .mobile-content-frame{
        display: block;
        background-color: #2D383F;
        border-top-left-radius: 30px;
        border-top-right-radius: 30px;
        border-bottom-left-radius: 30px;
        border-bottom-right-radius: 30px;
    }

    .project-list-content li{
        padding-left: 40px;
    }

    .projects-mobile-container{
        display: block;
    }
}